Insert segment
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"sourceSegment": "<string>",
"targetLang": "<string>",
"targetSegment": "<string>",
"nextSourceSegment": "<string>",
"previousSourceSegment": "<string>",
"sourceTagMetadata": [
{
"content": "<string>",
"id": "<string>",
"transAttributes": "<string>",
"type": "<string>"
}
],
"targetTagMetadata": [
{
"content": "<string>",
"id": "<string>",
"transAttributes": "<string>",
"type": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments"
payload = {
"sourceSegment": "<string>",
"targetLang": "<string>",
"targetSegment": "<string>",
"nextSourceSegment": "<string>",
"previousSourceSegment": "<string>",
"sourceTagMetadata": [
{
"content": "<string>",
"id": "<string>",
"transAttributes": "<string>",
"type": "<string>"
}
],
"targetTagMetadata": [
{
"content": "<string>",
"id": "<string>",
"transAttributes": "<string>",
"type": "<string>"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sourceSegment: '<string>',
targetLang: '<string>',
targetSegment: '<string>',
nextSourceSegment: '<string>',
previousSourceSegment: '<string>',
sourceTagMetadata: [
{
content: '<string>',
id: '<string>',
transAttributes: '<string>',
type: '<string>'
}
],
targetTagMetadata: [
{
content: '<string>',
id: '<string>',
transAttributes: '<string>',
type: '<string>'
}
]
})
};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Translation Memory
Insert segment
POST
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
segments
Insert segment
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Translation memory UID
Body
application/json
Segment to insert
A single TM segment (source/target pair with optional context) for insertion into a TM
Source segment text
Target language locale
Target segment text (translation)
Context: following source segment
Context: preceding source segment
Tag metadata for the source segment
Show child attributes
Show child attributes
Tag metadata for the target segment
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I